Bug 484202 - Review Request: perl-Test-JSON - Test JSON data
Review Request: perl-Test-JSON - Test JSON data
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-05 07:33 EST by Allisson Azevedo
Modified: 2009-02-26 19:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-26 19:57:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-05 07:33:06 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-Test-JSON/perl-Test-JSON.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-Test-JSON/perl-Test-JSON-0.06-1.fc10.src.rpm

Description: JavaScript Object Notation (JSON) is a lightweight data interchange format.
Test::JSON makes it easy to verify that you have built valid JSON and that
it matches your expected output.
Comment 1 Miroslav Suchý 2009-02-24 06:22:04 EST
I will look on this today.
Comment 2 Miroslav Suchý 2009-02-24 07:32:46 EST
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1156435
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9d8f4c2e724f67e66317f06efaa53e03 for both Test-JSON-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
not tested - package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
N/A no headers or static libraries.
N/A no .pc file present.
N/A no -devel subpackage
N/A no .la files.
N/A no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
t/00-load.........# Testing Test::JSON 0.06, Perl 5.010000, /usr/bin/perl
All tests successful.
Files=4, Tests=39,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.21 cusr  0.05 csys =  0.29 CPU)
Result: PASS
+ Package perl-Test-JSON:
Provides: perl(Test::JSON) = 0.06
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: perl(Carp) perl(JSON::Any) perl(Test::Builder) perl(Test::Differences) perl(strict)

Comment 3 Allisson Azevedo 2009-02-24 11:23:19 EST
New Package CVS Request
Package Name: perl-Test-JSON
Short Description: Test JSON data
Owners: allisson
Branches: F-10 F-9
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-02-24 15:51:00 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.